public static interface ElsqlEndpointBuilderFactory.ElsqlBuilders
| Modifier and Type | Method and Description |
|---|---|
default ElsqlEndpointBuilderFactory.ElsqlEndpointBuilder |
elsql(String path)
ElSQL (camel-elsql)
Use ElSql to define SQL queries.
|
default ElsqlEndpointBuilderFactory.ElsqlEndpointBuilder |
elsql(String componentName,
String path)
ElSQL (camel-elsql)
Use ElSql to define SQL queries.
|
default ElsqlEndpointBuilderFactory.ElsqlEndpointBuilder elsql(String path)
elsql:elsqlName:resourceUri
Path parameter: elsqlName (required)
The name of the elsql to use (is NAMED in the elsql file)
Path parameter: resourceUri
The resource file which contains the elsql SQL statements to use. You
can specify multiple resources separated by comma. The resources are
loaded on the classpath by default, you can prefix with file: to load
from file system. Notice you can set this option on the component and
then you do not have to configure this on the endpoint.path - elsqlName:resourceUridefault ElsqlEndpointBuilderFactory.ElsqlEndpointBuilder elsql(String componentName, String path)
elsql:elsqlName:resourceUri
Path parameter: elsqlName (required)
The name of the elsql to use (is NAMED in the elsql file)
Path parameter: resourceUri
The resource file which contains the elsql SQL statements to use. You
can specify multiple resources separated by comma. The resources are
loaded on the classpath by default, you can prefix with file: to load
from file system. Notice you can set this option on the component and
then you do not have to configure this on the endpoint.componentName - to use a custom component name for the endpoint
instead of the default namepath - elsqlName:resourceUriApache Camel